%define url_ver %(echo %{version} | cut -d. -f1,2)

# don't provide plugin .so
%global __provides_exclude_from %{_libdir}/xfce4/panel/plugins/.*\\.so


Summary:	A power manager for Xfce
Name:		xfce4-power-manager
Version:	4.18.3
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/XFCE
Url:		https://goodies.xfce.org/projects/applications/%{name}
Source0:	https://archive.xfce.org/src/xfce/xfce4-power-manager/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires: intltool
BuildRequires: lib64xtst-devel
BuildRequires: lib64gtk+3.0-devel
BuildRequires: lib64xfconf-devel
BuildRequires: lib64xfce4ui2-devel
BuildRequires: lib64xscrnsaver-devel
BuildRequires: lib64upower-glib-devel
BuildRequires: lib64notify-devel
BuildRequires: lib64x11-devel

Requires:	xfce4-panel
Requires:	upower
Requires:	polkit
Requires:	pm-utils

%description
A power manager dedicated for Xfce desktop environment.

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x \
	--disable-static \
	--enable-panel-plugins \
	--enable-network-manager \
	--enable-polkit

%make_build

%install
rm -rf %buildroot
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete


%files
%config(noreplace) %{_sysconfdir}/xdg/autostart/*.desktop
%{_sbindir}
%{_bindir}
%{_datadir}
%{_libdir}

%changelog
* Sat Dec 02 2023 tex - 4.18.3-1pclos2023
- new version

* Sat Dec 02 2023 tex - 4.18.2-2pclos2023
- rebuild against updates

* Wed May 31 2023 tex - 4.18.2-1pclos2023
- new version

* Fri Feb 10 2023 tex - 4.18.1-1pclos2023
- new version

* Thu Dec 15 2022 tex - 4.18.0-1pclos2022
- new version

* Mon Dec 12 2022 tex - 4.17.1-pclos2022
- prepare for 4.18 final
